Bug 465360 - openib creates multiple /proc/net/sdp files
openib creates multiple /proc/net/sdp files
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.7
All Linux
medium Severity medium
: rc
: ---
Assigned To: Doug Ledford
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-02 17:30 EDT by John Caruso
Modified: 2009-05-18 15:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 15:29:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Caruso 2008-10-02 17:30:27 EDT
Description of problem:
openib creates multiple /proc/net/sdp files

Version-Release number of selected component (if applicable):
openib-1.3-5.el4.x86_64

How reproducible:
Enable openibd.

Steps to Reproduce:
1. Make sure openibd is started
2. find /proc/net/sdp*
  
Actual results:
Multiple files named /proc/net/sdp will be listed.

Expected results:
There should only be one file named /proc/net/sdp.

Additional info:
On a system where openibd is enabled, there will always be two /proc/net/sdp files, which you can see via "find /proc/net/sdp*" or "find /proc/net | grep sdp" or "ls -l /proc/net/sdp*", among other options.  And every time you stop and restart openibd, you'll add yet another /proc/net/sdp file to the total.  The files appear to be distinguished in some way, but I can't see it in the filename (i.e. if I do "find /proc/net/sdp* | od -cx"); from what I can tell, they're identically-named.

This breaks the filesystem semantic of having only one file with a particular name.  We happened across this because Tripwire got confused when it found two separate files both named /proc/net/sdp.
Comment 1 Doug Ledford 2008-10-02 17:34:23 EDT
This is actually a kernel bug.  It's been fixed for rhel5.3 already and will be included in the rhel4.8 update as well.
Comment 2 RHEL Product and Program Management 2008-10-03 11:11:12 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Vivek Goyal 2009-01-05 09:19:40 EST
Committed in 78.23.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/
Comment 7 errata-xmlrpc 2009-05-18 15:29:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html

Note You need to log in before you can comment on or make changes to this bug.